#include <gint/display.h>
#include <gint/keyboard.h>
#include <gint/std/stdio.h>

/*############*/
/* Prototypes */
/*############*/
void increase(unsigned int c);
int main(void);

/*######*/
/* Code */
/*######*/

void increase(unsigned int c)
{
	char buf[32];
	sprintf(buf, "%d", c);
	dtext(16, 100, buf, C_WHITE, C_BLACK);
}

void windows()
{
	extern image_t img_100;
	dimage(47, 0, &img_100);
}

int main(void)
{
	unsigned int c = -1;
	dclear(C_BLACK);
	dtext(16, 100, "0", C_WHITE, C_BLACK);
	dupdate();
	char hold = 0;
	while (1)
	{
		pollevent();
		if (keydown_any(KEY_EXE, KEY_SHIFT) && !hold)
		{
			c++;
			dclear(C_BLACK);
			if (c != 100) increase(c);
			else windows();
			dupdate();
			hold = 1;
		}
		else if (!keydown_any(KEY_EXE, KEY_SHIFT))
		{
			hold = 0;
		}
		if (keydown(KEY_EXIT))
		{
			return 0;
		}
	}
}
